# Trust Wallet
Trust Wallet is an app for your smartphone or tablet and is the fastest and
simplest way for most users to get started with a Solana wallet.

## Install Trust Wallet

#### iOS
 - Open the App Store
 - Download “Trust: Crypto & Bitcoin Wallet” from Six Days LLC
   - Requires iOS 13.0 or higher
 - Open Trust Wallet and follow the app prompts to get started

***

#### Android

**NOTE: At this time, Solana's SOL tokens are only supported in the Beta version
of Trust Wallet for Android.  The following steps explain how to install this
Beta version to start using your Solana wallet. Check back here or check the
latest official Trust Wallet release notes for when support is added to their
official Android release.**

 - Open the Play Store
 - Download the official version of Trust Wallet
   - “Trust: Crypto & Bitcoin Wallet” from Six Days LLC
   - Requires Android 6.0 or higher

![Install the Official Version of Trust Wallet](../.gitbook/assets/install-official-trust-wallet.png)

##### Enable Beta version of Trust Wallet
 - Make sure you already have the official version installed
 - Open Play Store and view Trust Wallet's app page
 - Scroll down to the bottom to the "Beta" section and tap "Join"
 - It may take a few minutes for your device to get access to the Beta version

![Join the Beta program](../.gitbook/assets/join-beta-trust-wallet.png)

##### Upgrade to the Beta version
 - Open Play Store .
 - Tap Menu --> My apps and games --> Beta.
 - Tap Trust Wallet
 - Tap Upgrade when brought back to the Trust Wallet (Beta) install page

![Find Beta app you've joined](../.gitbook/assets/find-beta-apps.png)

***

![Upgrade to Trust Wallet Beta](../.gitbook/assets/update-trust-wallet-to-beta.png)

##### Beta Install Support for Android
 - [Google's Official Help for Installing Beta Versions of Apps](https://support.google.com/googleplay/answer/7003180?hl=en)

## Add Solana (SOL) tokens to your wallet
 - From the main page, go to the “Tokens” tab at the top of the screen
 - Tap the “+” icon at the top right corner
 - Search for “Solana” in the search page, and when the “Solana SOL” token is
shown, slide the slider to enable this token.
 - You can now tap the Solana icon to access your Solana wallet.

[Trust Wallet Official Docs: How to Add or Remove a Coin](https://community.trustwallet.com/t/how-to-add-or-remove-a-coin/896)

## Receiving SOL tokens
 - To receive SOL tokens that you’ve purchased or earned, you need to send your
Receive Address to whoever is sending you tokens.
 - Tap “Receive” to view a QR code and your text address, which is a long string
 of letters and numbers.
 - Tap “Copy” or “Share” to send the address.
 - Be very careful when you copy and paste your receive address anywhere that
you do not miss any characters at the beginning or end of the string.
 - If you send an incorrect Receive address to someone and they send tokens
to that address, **those tokens will be lost forever**.

[Trust Wallet Official Docs: How to Find my Receiving Address](https://community.trustwallet.com/t/how-to-find-my-receiving-address/2006)

## Troubleshooting
If you are having trouble setting up your Trust Wallet app, check out their
 [Community Help Center](https://community.trustwallet.com/c/helpcenter)

## Support

Check out our [Wallet Support Page](../wallet/support.md) for ways to get help.
